openSUSE Security Update : timidity (openSUSE-2018-208)

Medium Nessus Plugin ID 106999

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for timidity fixes the following issues :

Security issues fixed :

- CVE-2017-11546: Fix division-by-zero with malformed MIDI file (boo#1081694)

- CVE-2017-11547: Fix out-of-bound accesses in the resamplers (boo#1081694)

Other issues fixed :

- Drop tcl/tk dependency; it's already broken with Tcl/Tk 8.6

Solution

Update the affected timidity packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1081694

Plugin Details

Severity: Medium

ID: 106999

File Name: openSUSE-2018-208.nasl

Version: Revision: 3.1

Type: local

Agent: unix

Published: 2018/02/26

Modified: 2018/02/26

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 4.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:P

CVSS v3.0

Base Score: 5.5

Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:timidity, p-cpe:/a:novell:opensuse:timidity-debuginfo, p-cpe:/a:novell:opensuse:timidity-debugsource, cpe:/o:novell:opensuse:42.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2018/02/24

Reference Information

CVE: CVE-2017-11546, CVE-2017-11547